ServerEvents.recipes(event => {
	event.remove({output: 'deeperdarker:soul_elytra'})
	event.remove({output: 'createteleporters:custom_portal'})
	event.remove({output: 'createteleporters:item_tp'})
	event.remove({output: 'createteleporters:item_tp_rec'})
	event.remove({output: 'createteleporters:teleporter'})
	event.remove({output: 'createteleporters:tp_rec'})
	event.remove({output: 'createteleporters:pocket_dimension_remote'})
	event.recipes.create.mechanical_crafting('createteleporters:custom_portal', [
    ' AAAAA ',
	'AABCBAA',
    'ABDEDBA',
	'ACEFECA',
	'ABDEDBA',
	'AABCBAA',
	' AAAAA '
  ], {
	A: 'createteleporters:quantum_casing',
	B: 'create:fluid_tank',
	C: 'createteleporters:quantum_mechanism',
    D: 'northstar:martian_steel_sheet',
	E: 'createteleporters:redstone_pearl',
	F: 'mekanism:teleportation_core',
  })
	event.recipes.create.mechanical_crafting('createteleporters:pocket_dimension_remote', [
    ' ACA ',
	'AACAA',
    'CBDBC',
	'AAEAA',
	' ACA '
  ], {
	A: 'createteleporters:quantum_casing',
	B: 'createteleporters:adv_tplink',
	C: 'createteleporters:quantum_mechanism',
    D: 'mekanism:teleportation_core',
	E: 'createteleporters:gravity_stab'
  })
	event.recipes.create.mechanical_crafting('deeperdarker:soul_elytra', [
    'ABA',
	'BCB',
    'ADA'
  ], {
	A: 'deeperdarker:sculk_bone',
	B: 'deeperdarker:soul_dust',
	C: 'mekanism:hdpe_elytra',
    D: 'deeperdarker:soul_crystal'
  })
})